=== modified file 'client/drizzle.c'
--- client/drizzle.c	2008-08-06 00:04:45 +0000
+++ client/drizzle.c	2008-08-06 02:14:03 +0000
@@ -1381,9 +1381,6 @@
    N_("Password to use when connecting to server. If password is not given it's asked from the tty."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', N_("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $MYSQL_TCP_PORT, ")
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    N_("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,  0},
@@ -1468,7 +1465,8 @@
   const char* readline= "readline";
 
   printf(_("%s  Ver %s Distrib %s, for %s (%s) using %s %s\n"),
-         my_progname, VER, MYSQL_SERVER_VERSION, SYSTEM_TYPE, MACHINE_TYPE,
+         my_progname, VER, drizzle_get_client_info(),
+         SYSTEM_TYPE, MACHINE_TYPE,
          readline, rl_library_version);
 
   if (version)

=== modified file 'client/drizzleadmin.cc'
--- client/drizzleadmin.cc	2008-07-28 06:38:30 +0000
+++ client/drizzleadmin.cc	2008-08-06 02:14:03 +0000
@@ -72,9 +72,6 @@
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
    "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &tcp_port,
    (char**) &tcp_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
@@ -363,7 +360,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s on %s\n",my_progname,ADMIN_VERSION,
-	 MYSQL_SERVER_VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+	 drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 }
 
 static void usage(void)

=== modified file 'client/drizzlebinlog.cc'
--- client/drizzlebinlog.cc	2008-08-06 01:14:33 +0000
+++ client/drizzlebinlog.cc	2008-08-06 02:14:03 +0000
@@ -989,9 +989,6 @@
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
    "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &port, (char**) &port, 0, GET_INT, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},

=== modified file 'client/drizzlecheck.c'
--- client/drizzlecheck.c	2008-08-06 00:04:45 +0000
+++ client/drizzlecheck.c	2008-08-06 02:14:03 +0000
@@ -123,9 +123,6 @@
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
    "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_mysql_port,
    (char**) &opt_mysql_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,
@@ -186,7 +183,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s (%s)\n", my_progname, CHECK_VERSION,
-   MYSQL_SERVER_VERSION, SYSTEM_TYPE, MACHINE_TYPE);
+   drizzle_get_client_info(), SYSTEM_TYPE, MACHINE_TYPE);
 } /* print_version */
 
 static void usage(void)

=== modified file 'client/drizzledump.c'
--- client/drizzledump.c	2008-08-06 00:04:45 +0000
+++ client/drizzledump.c	2008-08-06 02:14:03 +0000
@@ -515,7 +515,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname,DUMP_VERSION,
-         MYSQL_SERVER_VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+         drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 } /* print_version */
 
 
@@ -568,7 +568,8 @@
     {
       fprintf(sql_file,
               "-- DRIZZLE dump %s  Distrib %s, for %s (%s)\n--\n",
-              DUMP_VERSION, MYSQL_SERVER_VERSION, SYSTEM_TYPE, MACHINE_TYPE);
+              DUMP_VERSION, drizzle_get_client_info(),
+              SYSTEM_TYPE, MACHINE_TYPE);
       fprintf(sql_file, "-- Host: %s    Database: %s\n",
               current_host ? current_host : "localhost", db_name ? db_name :
               "");

=== modified file 'client/drizzleimport.c'
--- client/drizzleimport.c	2008-08-06 00:04:45 +0000
+++ client/drizzleimport.c	2008-08-06 02:14:03 +0000
@@ -121,9 +121,6 @@
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
    "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,
@@ -159,7 +156,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s (%s)\n" ,my_progname,
-    IMPORT_VERSION, MYSQL_SERVER_VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+    IMPORT_VERSION, drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 }
 
 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-08-06 00:04:45 +0000
+++ client/drizzletest.cc	2008-08-06 02:14:03 +0000
@@ -4572,9 +4572,6 @@
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
    "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
-   "/etc/services, "
-#endif
    "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_port,
    (char**) &opt_port, 0, GET_INT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
@@ -4617,7 +4614,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname,MTEST_VERSION,
-   MYSQL_SERVER_VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+   drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 }
 
 static void usage(void)
@@ -5611,7 +5608,7 @@
                 1024, 0, 0, get_var_key, var_free, MYF(0)))
     die("Variable hash initialization failed");
 
-  var_set_string("$MYSQL_SERVER_VERSION", MYSQL_SERVER_VERSION);
+  var_set_string("$MYSQL_SERVER_VERSION", drizzle_get_client_info());
 
   memset(&master_pos, 0, sizeof(master_pos));
 

=== modified file 'client/mysqlslap.c'
--- client/mysqlslap.c	2008-07-30 18:03:54 +0000
+++ client/mysqlslap.c	2008-08-06 02:14:03 +0000
@@ -642,7 +642,7 @@
     "Password to use when connecting to server. If password is not given it's "
       "asked from the tty.", 0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection.", (char**) &opt_drizzle_port,
-    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, MYSQL_PORT, 0, 0, 0, 0,
+    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,
     0},
   {"post-query", OPT_SLAP_POST_QUERY,
     "Query to run or file containing query to execute after tests have completed.",
@@ -702,7 +702,7 @@
 static void print_version(void)
 {
   printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname, SLAP_VERSION,
-         MYSQL_SERVER_VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+         drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 }
 
 

